Bug 73258 - firstboot active only at runlevel 5
firstboot active only at runlevel 5
Product: Red Hat Public Beta
Classification: Retired
Component: firstboot (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-09-01 20:31 EDT by Jay Berkenbilt
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-01 20:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2002-09-01 20:31:25 EDT
Description of Problem:

After installation, firstboot was available only for runlevel 5.  Although I did
select a graphical login, I always boot into runlevel 3 with the "confirm"
option on my first boot after install so that I can apply my customizations
which include adding DontZap to my X configuration.  I don't know whether the
decision to turn it on in level 5 is hard-coded or whether it happened because I
selected a graphical login.  (There is text in a message in date.py in the
firstboot modules that instructs a user to run chkconfig firstboot --level 5 on
as well.)

It seems like it would be completely harmless to turn this on for both levels 3
and 5.  That way, whichever runlevel the user boots into first, firstboot will
still be run.

Version-Release number of selected component (if applicable):

firstboot 1.0.0-4

How Reproducible:


Steps to Reproduce:
1. install (null)
2. select graphical login
3. override grub default and boot into level 3 on first boot

Actual Results:

firstboot does not run

Expected Results:

it should run

Additional Information:
Perhaps you don't agree that this is a bug.  If that is the case, I'd like to
present this argument: if firstboot is enabled by the installation for runlevels
3 and 5, and if firstboot disables itself after finishing, then existing
behavior will work without a problem, but people who do what I do will also get
firstboot during their first boot.  In other words, a very simple fix will make
this work in a slightly more flexible way from how it does now without breaking
any existing functionality.

I debated about whether this bug should be categorized as a firstboot bug or as
an installation bug and decided upon firstboot because it appears that the
problem lies in the chkconfig comment in /etc/rc.d/init.d/firstboot.  If this
comment read

# chkconfig; 35 95 95

instead of

# chkconfig: 5 95 95

it would address this issue.

I don't recall having this problem in Limbo, but maybe I just didn't notice that
I didn't get firstboot until my first runlevel 5 boot because I didn't know it
was coming.
Comment 1 Brent Fox 2002-09-03 18:11:11 EDT
Back in Limbo, I had firstboot start in runlevel 3 and 5.  A few users
complained loudly that a graphical app should never start in runlevel 3, so I
turned off firstboot for runlevel 3.  I do not intend to write a text based
interface for firstboot, so this is how the behavior will be.
Comment 2 Jay Berkenbilt 2002-09-04 09:18:42 EDT
Good point.  I guess I would be annoyed if firstboot started on my server that
couldn't run X too.

Note You need to log in before you can comment on or make changes to this bug.